<?php

namespace App\Datatables\Admin\Shop;

use App\Datatables\ParentDataTable as DataTable;
use App\Models\Shop\DeliveryType;
use Yajra\DataTables\Html\Column;

class DeliveryTypesDataTable extends DataTable
{
    public $model_name = 'delivery_types';

    public function query(DeliveryType $model)
    {
        return $this->buildQuery($model);
    }

    protected function getColumns()
    {
        return [
            Column::make('name')->title('Nom'),
            $this->makeColumnButtons(),
        ];
    }
}
